| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# BinFileInputStream Class Reference

Inheritance diagram for BinFileInputStream:

[legend]
List of all members.

## Public Member Functions

| BinFileInputStream (const XMLCh *const fileName, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| BinFileInputStream (const char *const fileName, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| BinFileInputStream (const FileHandle toUse, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~BinFileInputStream ()
bool | getIsOpen () const
unsigned int | getSize () const
void | reset ()
virtual unsigned int | curPos () const
virtual unsigned int | readBytes (XMLByte *const toFill, const unsigned int maxToRead)

## Constructor & Destructor Documentation

BinFileInputStream::BinFileInputStream | ( | const XMLCh *const | fileName,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

BinFileInputStream::BinFileInputStream | ( | const char *const | fileName,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

BinFileInputStream::BinFileInputStream | ( | const FileHandle | toUse,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

virtual BinFileInputStream::~BinFileInputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual unsigned int BinFileInputStream::curPos | ( |  | ) | const`[virtual]`

| Implements BinInputStream.

bool BinFileInputStream::getIsOpen | ( |  | ) | const

unsigned int BinFileInputStream::getSize | ( |  | ) | const

virtual unsigned int BinFileInputStream::readBytes | ( | XMLByte *const | toFill,
|  | const unsigned int | maxToRead
| ) | `[virtual]`

| Implements BinInputStream.

void BinFileInputStream::reset | ( |  | ) |

The documentation for this class was generated from the following file:

- BinFileInputStream.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.